<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_9f55fef472b741c" . "b222ce4503e90012" . "a" => base64_decode("cHViX3B" . "hZ2U="), "_1be4a86e" . "c54058894" . "c0dc8eeb4" . "4bf65a" => base64_decode("Y29tbW9uL" . "nR5cGUucH" . "ViX3BhZ2V" . "z"), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_bdf46cf" . "a1aba0af" . "38c9a9fa" . "98dfd831" . "b" => base64_decode("YXBwX3B1Ymxpc2g" . "="));
use Claromentis\Publish\PublishApplication as PublishPublishApplication;
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9f55fef472b741cb222ce4503e90" . "012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1be4a86ec54058894c0dc8eeb44b" . "f65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_bdf46cfa1aba0af38c9a9" . "fa98dfd831b"];
    }
    public function GetIcon() : string
    {
        return PublishPublishApplication::APPLICATION_SVG_URL;
    }
}